Bug 1926208 - python-csvkit fails to build with Python 3.10: ImportError: cannot import name 'Sequence' from 'collections'
Summary: python-csvkit fails to build with Python 3.10: ImportError: cannot import nam...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-csvkit
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Julien Enselme
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1968943 (view as bug list)
Depends On:
Blocks: F35FTBFS F35FailsToInstall PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2021-02-08 13:03 UTC by Tomáš Hrnčiar
Modified: 2021-07-26 10:47 UTC (History)
4 users (show)

Fixed In Version: python-csvkit-1.0.4-10.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-26 10:47:54 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2021-02-08 13:03:04 UTC
python-csvkit fails to build with Python 3.10.0a5.

Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)) ... ERROR
Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)) ... ERROR
Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)) ... ERROR
Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)) ... ERROR
Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)) ... ERROR
Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)) ... ERROR
Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)) ... ERROR
Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)) ... ERROR
Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)) ... ERROR
Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)) ... ERROR
Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)) ... ERROR
Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)) ... ERROR
Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)) ... ERROR
Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)) ... ERROR
Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)) ... ERROR
Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)) ... ERROR
Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)) ... ERROR
Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)) ... ERROR

======================================================================
ERROR: Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py))
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/nose/failure.py", line 39, in runTest
    raise self.exc_val.with_traceback(self.tb)
  File "/usr/lib/python3.10/site-packages/nose/loader.py", line 416, in loadTestsFromName
    module = self.importer.importFromPath(
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 47, in importFromPath
    return self.importFromDir(dir_path, fqname)
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 94, in importFromDir
    mod = load_module(part_fqname, fh, filename, desc)
  File "/usr/lib64/python3.10/imp.py", line 234, in load_module
    return load_source(name, filename, file)
  File "/usr/lib64/python3.10/imp.py", line 171, in load_source
    module = _load(spec)
  File "<frozen importlib._bootstrap>", line 729, in _load
  File "<frozen importlib._bootstrap>", line 698, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 833, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/builddir/build/BUILD/csvkit-1.0.4/tests/test_cleanup.py", line 5, in <module>
    from csvkit.cleanup import join_rows
  File "/builddir/build/BUILD/csvkit-1.0.4/csvkit/__init__.py", line 14, in <module>
    import agate
  File "/usr/lib/python3.10/site-packages/agate/__init__.py", line 4, in <module>
    from agate.aggregations import *
  File "/usr/lib/python3.10/site-packages/agate/aggregations/__init__.py", line 21, in <module>
    from agate.aggregations.count import Count  # noqa
  File "/usr/lib/python3.10/site-packages/agate/aggregations/count.py", line 4, in <module>
    from agate.utils import default
  File "/usr/lib/python3.10/site-packages/agate/utils.py", line 8, in <module>
    from collections import OrderedDict, Sequence
ImportError: cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)

======================================================================
ERROR: Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py))
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/nose/failure.py", line 39, in runTest
    raise self.exc_val.with_traceback(self.tb)
  File "/usr/lib/python3.10/site-packages/nose/loader.py", line 416, in loadTestsFromName
    module = self.importer.importFromPath(
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 47, in importFromPath
    return self.importFromDir(dir_path, fqname)
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 94, in importFromDir
    mod = load_module(part_fqname, fh, filename, desc)
  File "/usr/lib64/python3.10/imp.py", line 234, in load_module
    return load_source(name, filename, file)
  File "/usr/lib64/python3.10/imp.py", line 171, in load_source
    module = _load(spec)
  File "<frozen importlib._bootstrap>", line 729, in _load
  File "<frozen importlib._bootstrap>", line 698, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 833, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/builddir/build/BUILD/csvkit-1.0.4/tests/test_cli.py", line 5, in <module>
    from csvkit.cli import match_column_identifier, parse_column_identifiers
  File "/builddir/build/BUILD/csvkit-1.0.4/csvkit/__init__.py", line 14, in <module>
    import agate
  File "/usr/lib/python3.10/site-packages/agate/__init__.py", line 4, in <module>
    from agate.aggregations import *
  File "/usr/lib/python3.10/site-packages/agate/aggregations/__init__.py", line 21, in <module>
    from agate.aggregations.count import Count  # noqa
  File "/usr/lib/python3.10/site-packages/agate/aggregations/count.py", line 4, in <module>
    from agate.utils import default
  File "/usr/lib/python3.10/site-packages/agate/utils.py", line 8, in <module>
    from collections import OrderedDict, Sequence
ImportError: cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)

======================================================================
ERROR: Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py))
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/nose/failure.py", line 39, in runTest
    raise self.exc_val.with_traceback(self.tb)
  File "/usr/lib/python3.10/site-packages/nose/loader.py", line 416, in loadTestsFromName
    module = self.importer.importFromPath(
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 47, in importFromPath
    return self.importFromDir(dir_path, fqname)
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 94, in importFromDir
    mod = load_module(part_fqname, fh, filename, desc)
  File "/usr/lib64/python3.10/imp.py", line 234, in load_module
    return load_source(name, filename, file)
  File "/usr/lib64/python3.10/imp.py", line 171, in load_source
    module = _load(spec)
  File "<frozen importlib._bootstrap>", line 729, in _load
  File "<frozen importlib._bootstrap>", line 698, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 833, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/builddir/build/BUILD/csvkit-1.0.4/tests/test_convert/test_convert.py", line 5, in <module>
    from csvkit import convert
  File "/builddir/build/BUILD/csvkit-1.0.4/csvkit/__init__.py", line 14, in <module>
    import agate
  File "/usr/lib/python3.10/site-packages/agate/__init__.py", line 4, in <module>
    from agate.aggregations import *
  File "/usr/lib/python3.10/site-packages/agate/aggregations/__init__.py", line 21, in <module>
    from agate.aggregations.count import Count  # noqa
  File "/usr/lib/python3.10/site-packages/agate/aggregations/count.py", line 4, in <module>
    from agate.utils import default
  File "/usr/lib/python3.10/site-packages/agate/utils.py", line 8, in <module>
    from collections import OrderedDict, Sequence
ImportError: cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)

======================================================================
ERROR: Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py))
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/nose/failure.py", line 39, in runTest
    raise self.exc_val.with_traceback(self.tb)
  File "/usr/lib/python3.10/site-packages/nose/loader.py", line 416, in loadTestsFromName
    module = self.importer.importFromPath(
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 47, in importFromPath
    return self.importFromDir(dir_path, fqname)
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 94, in importFromDir
    mod = load_module(part_fqname, fh, filename, desc)
  File "/usr/lib64/python3.10/imp.py", line 234, in load_module
    return load_source(name, filename, file)
  File "/usr/lib64/python3.10/imp.py", line 171, in load_source
    module = _load(spec)
  File "<frozen importlib._bootstrap>", line 729, in _load
  File "<frozen importlib._bootstrap>", line 698, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 833, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/builddir/build/BUILD/csvkit-1.0.4/tests/test_convert/test_fixed.py", line 5, in <module>
    from csvkit.convert import fixed
  File "/builddir/build/BUILD/csvkit-1.0.4/csvkit/__init__.py", line 14, in <module>
    import agate
  File "/usr/lib/python3.10/site-packages/agate/__init__.py", line 4, in <module>
    from agate.aggregations import *
  File "/usr/lib/python3.10/site-packages/agate/aggregations/__init__.py", line 21, in <module>
    from agate.aggregations.count import Count  # noqa
  File "/usr/lib/python3.10/site-packages/agate/aggregations/count.py", line 4, in <module>
    from agate.utils import default
  File "/usr/lib/python3.10/site-packages/agate/utils.py", line 8, in <module>
    from collections import OrderedDict, Sequence
ImportError: cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)

======================================================================
ERROR: Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py))
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/nose/failure.py", line 39, in runTest
    raise self.exc_val.with_traceback(self.tb)
  File "/usr/lib/python3.10/site-packages/nose/loader.py", line 416, in loadTestsFromName
    module = self.importer.importFromPath(
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 47, in importFromPath
    return self.importFromDir(dir_path, fqname)
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 94, in importFromDir
    mod = load_module(part_fqname, fh, filename, desc)
  File "/usr/lib64/python3.10/imp.py", line 234, in load_module
    return load_source(name, filename, file)
  File "/usr/lib64/python3.10/imp.py", line 171, in load_source
    module = _load(spec)
  File "<frozen importlib._bootstrap>", line 729, in _load
  File "<frozen importlib._bootstrap>", line 698, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 833, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/builddir/build/BUILD/csvkit-1.0.4/tests/test_grep.py", line 6, in <module>
    from csvkit.grep import FilteringCSVReader
  File "/builddir/build/BUILD/csvkit-1.0.4/csvkit/__init__.py", line 14, in <module>
    import agate
  File "/usr/lib/python3.10/site-packages/agate/__init__.py", line 4, in <module>
    from agate.aggregations import *
  File "/usr/lib/python3.10/site-packages/agate/aggregations/__init__.py", line 21, in <module>
    from agate.aggregations.count import Count  # noqa
  File "/usr/lib/python3.10/site-packages/agate/aggregations/count.py", line 4, in <module>
    from agate.utils import default
  File "/usr/lib/python3.10/site-packages/agate/utils.py", line 8, in <module>
    from collections import OrderedDict, Sequence
ImportError: cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)

======================================================================
ERROR: Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py))
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/nose/failure.py", line 39, in runTest
    raise self.exc_val.with_traceback(self.tb)
  File "/usr/lib/python3.10/site-packages/nose/loader.py", line 416, in loadTestsFromName
    module = self.importer.importFromPath(
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 47, in importFromPath
    return self.importFromDir(dir_path, fqname)
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 94, in importFromDir
    mod = load_module(part_fqname, fh, filename, desc)
  File "/usr/lib64/python3.10/imp.py", line 234, in load_module
    return load_source(name, filename, file)
  File "/usr/lib64/python3.10/imp.py", line 171, in load_source
    module = _load(spec)
  File "<frozen importlib._bootstrap>", line 729, in _load
  File "<frozen importlib._bootstrap>", line 698, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 833, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/builddir/build/BUILD/csvkit-1.0.4/tests/test_utilities/test_csvclean.py", line 14, in <module>
    from csvkit.utilities.csvclean import CSVClean, launch_new_instance
  File "/builddir/build/BUILD/csvkit-1.0.4/csvkit/__init__.py", line 14, in <module>
    import agate
  File "/usr/lib/python3.10/site-packages/agate/__init__.py", line 4, in <module>
    from agate.aggregations import *
  File "/usr/lib/python3.10/site-packages/agate/aggregations/__init__.py", line 21, in <module>
    from agate.aggregations.count import Count  # noqa
  File "/usr/lib/python3.10/site-packages/agate/aggregations/count.py", line 4, in <module>
    from agate.utils import default
  File "/usr/lib/python3.10/site-packages/agate/utils.py", line 8, in <module>
    from collections import OrderedDict, Sequence
ImportError: cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)

======================================================================
ERROR: Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py))
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/nose/failure.py", line 39, in runTest
    raise self.exc_val.with_traceback(self.tb)
  File "/usr/lib/python3.10/site-packages/nose/loader.py", line 416, in loadTestsFromName
    module = self.importer.importFromPath(
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 47, in importFromPath
    return self.importFromDir(dir_path, fqname)
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 94, in importFromDir
    mod = load_module(part_fqname, fh, filename, desc)
  File "/usr/lib64/python3.10/imp.py", line 234, in load_module
    return load_source(name, filename, file)
  File "/usr/lib64/python3.10/imp.py", line 171, in load_source
    module = _load(spec)
  File "<frozen importlib._bootstrap>", line 729, in _load
  File "<frozen importlib._bootstrap>", line 698, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 833, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/builddir/build/BUILD/csvkit-1.0.4/tests/test_utilities/test_csvcut.py", line 11, in <module>
    from csvkit.utilities.csvcut import CSVCut, launch_new_instance
  File "/builddir/build/BUILD/csvkit-1.0.4/csvkit/__init__.py", line 14, in <module>
    import agate
  File "/usr/lib/python3.10/site-packages/agate/__init__.py", line 4, in <module>
    from agate.aggregations import *
  File "/usr/lib/python3.10/site-packages/agate/aggregations/__init__.py", line 21, in <module>
    from agate.aggregations.count import Count  # noqa
  File "/usr/lib/python3.10/site-packages/agate/aggregations/count.py", line 4, in <module>
    from agate.utils import default
  File "/usr/lib/python3.10/site-packages/agate/utils.py", line 8, in <module>
    from collections import OrderedDict, Sequence
ImportError: cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)

======================================================================
ERROR: Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py))
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/nose/failure.py", line 39, in runTest
    raise self.exc_val.with_traceback(self.tb)
  File "/usr/lib/python3.10/site-packages/nose/loader.py", line 416, in loadTestsFromName
    module = self.importer.importFromPath(
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 47, in importFromPath
    return self.importFromDir(dir_path, fqname)
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 94, in importFromDir
    mod = load_module(part_fqname, fh, filename, desc)
  File "/usr/lib64/python3.10/imp.py", line 234, in load_module
    return load_source(name, filename, file)
  File "/usr/lib64/python3.10/imp.py", line 171, in load_source
    module = _load(spec)
  File "<frozen importlib._bootstrap>", line 729, in _load
  File "<frozen importlib._bootstrap>", line 698, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 833, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/builddir/build/BUILD/csvkit-1.0.4/tests/test_utilities/test_csvformat.py", line 13, in <module>
    from csvkit.utilities.csvformat import CSVFormat, launch_new_instance
  File "/builddir/build/BUILD/csvkit-1.0.4/csvkit/__init__.py", line 14, in <module>
    import agate
  File "/usr/lib/python3.10/site-packages/agate/__init__.py", line 4, in <module>
    from agate.aggregations import *
  File "/usr/lib/python3.10/site-packages/agate/aggregations/__init__.py", line 21, in <module>
    from agate.aggregations.count import Count  # noqa
  File "/usr/lib/python3.10/site-packages/agate/aggregations/count.py", line 4, in <module>
    from agate.utils import default
  File "/usr/lib/python3.10/site-packages/agate/utils.py", line 8, in <module>
    from collections import OrderedDict, Sequence
ImportError: cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)

======================================================================
ERROR: Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py))
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/nose/failure.py", line 39, in runTest
    raise self.exc_val.with_traceback(self.tb)
  File "/usr/lib/python3.10/site-packages/nose/loader.py", line 416, in loadTestsFromName
    module = self.importer.importFromPath(
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 47, in importFromPath
    return self.importFromDir(dir_path, fqname)
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 94, in importFromDir
    mod = load_module(part_fqname, fh, filename, desc)
  File "/usr/lib64/python3.10/imp.py", line 234, in load_module
    return load_source(name, filename, file)
  File "/usr/lib64/python3.10/imp.py", line 171, in load_source
    module = _load(spec)
  File "<frozen importlib._bootstrap>", line 729, in _load
  File "<frozen importlib._bootstrap>", line 698, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 833, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/builddir/build/BUILD/csvkit-1.0.4/tests/test_utilities/test_csvgrep.py", line 11, in <module>
    from csvkit.utilities.csvgrep import CSVGrep, launch_new_instance
  File "/builddir/build/BUILD/csvkit-1.0.4/csvkit/__init__.py", line 14, in <module>
    import agate
  File "/usr/lib/python3.10/site-packages/agate/__init__.py", line 4, in <module>
    from agate.aggregations import *
  File "/usr/lib/python3.10/site-packages/agate/aggregations/__init__.py", line 21, in <module>
    from agate.aggregations.count import Count  # noqa
  File "/usr/lib/python3.10/site-packages/agate/aggregations/count.py", line 4, in <module>
    from agate.utils import default
  File "/usr/lib/python3.10/site-packages/agate/utils.py", line 8, in <module>
    from collections import OrderedDict, Sequence
ImportError: cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)

======================================================================
ERROR: Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py))
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/nose/failure.py", line 39, in runTest
    raise self.exc_val.with_traceback(self.tb)
  File "/usr/lib/python3.10/site-packages/nose/loader.py", line 416, in loadTestsFromName
    module = self.importer.importFromPath(
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 47, in importFromPath
    return self.importFromDir(dir_path, fqname)
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 94, in importFromDir
    mod = load_module(part_fqname, fh, filename, desc)
  File "/usr/lib64/python3.10/imp.py", line 234, in load_module
    return load_source(name, filename, file)
  File "/usr/lib64/python3.10/imp.py", line 171, in load_source
    module = _load(spec)
  File "<frozen importlib._bootstrap>", line 729, in _load
  File "<frozen importlib._bootstrap>", line 698, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 833, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/builddir/build/BUILD/csvkit-1.0.4/tests/test_utilities/test_csvjoin.py", line 10, in <module>
    from csvkit.utilities.csvjoin import CSVJoin, launch_new_instance
  File "/builddir/build/BUILD/csvkit-1.0.4/csvkit/__init__.py", line 14, in <module>
    import agate
  File "/usr/lib/python3.10/site-packages/agate/__init__.py", line 4, in <module>
    from agate.aggregations import *
  File "/usr/lib/python3.10/site-packages/agate/aggregations/__init__.py", line 21, in <module>
    from agate.aggregations.count import Count  # noqa
  File "/usr/lib/python3.10/site-packages/agate/aggregations/count.py", line 4, in <module>
    from agate.utils import default
  File "/usr/lib/python3.10/site-packages/agate/utils.py", line 8, in <module>
    from collections import OrderedDict, Sequence
ImportError: cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)

======================================================================
ERROR: Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py))
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/nose/failure.py", line 39, in runTest
    raise self.exc_val.with_traceback(self.tb)
  File "/usr/lib/python3.10/site-packages/nose/loader.py", line 416, in loadTestsFromName
    module = self.importer.importFromPath(
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 47, in importFromPath
    return self.importFromDir(dir_path, fqname)
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 94, in importFromDir
    mod = load_module(part_fqname, fh, filename, desc)
  File "/usr/lib64/python3.10/imp.py", line 234, in load_module
    return load_source(name, filename, file)
  File "/usr/lib64/python3.10/imp.py", line 171, in load_source
    module = _load(spec)
  File "<frozen importlib._bootstrap>", line 729, in _load
  File "<frozen importlib._bootstrap>", line 698, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 833, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/builddir/build/BUILD/csvkit-1.0.4/tests/test_utilities/test_csvjson.py", line 14, in <module>
    from csvkit.utilities.csvjson import CSVJSON, launch_new_instance
  File "/builddir/build/BUILD/csvkit-1.0.4/csvkit/__init__.py", line 14, in <module>
    import agate
  File "/usr/lib/python3.10/site-packages/agate/__init__.py", line 4, in <module>
    from agate.aggregations import *
  File "/usr/lib/python3.10/site-packages/agate/aggregations/__init__.py", line 21, in <module>
    from agate.aggregations.count import Count  # noqa
  File "/usr/lib/python3.10/site-packages/agate/aggregations/count.py", line 4, in <module>
    from agate.utils import default
  File "/usr/lib/python3.10/site-packages/agate/utils.py", line 8, in <module>
    from collections import OrderedDict, Sequence
ImportError: cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)

======================================================================
ERROR: Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py))
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/nose/failure.py", line 39, in runTest
    raise self.exc_val.with_traceback(self.tb)
  File "/usr/lib/python3.10/site-packages/nose/loader.py", line 416, in loadTestsFromName
    module = self.importer.importFromPath(
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 47, in importFromPath
    return self.importFromDir(dir_path, fqname)
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 94, in importFromDir
    mod = load_module(part_fqname, fh, filename, desc)
  File "/usr/lib64/python3.10/imp.py", line 234, in load_module
    return load_source(name, filename, file)
  File "/usr/lib64/python3.10/imp.py", line 171, in load_source
    module = _load(spec)
  File "<frozen importlib._bootstrap>", line 729, in _load
  File "<frozen importlib._bootstrap>", line 698, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 833, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/builddir/build/BUILD/csvkit-1.0.4/tests/test_utilities/test_csvlook.py", line 13, in <module>
    from csvkit.utilities.csvlook import CSVLook, launch_new_instance
  File "/builddir/build/BUILD/csvkit-1.0.4/csvkit/__init__.py", line 14, in <module>
    import agate
  File "/usr/lib/python3.10/site-packages/agate/__init__.py", line 4, in <module>
    from agate.aggregations import *
  File "/usr/lib/python3.10/site-packages/agate/aggregations/__init__.py", line 21, in <module>
    from agate.aggregations.count import Count  # noqa
  File "/usr/lib/python3.10/site-packages/agate/aggregations/count.py", line 4, in <module>
    from agate.utils import default
  File "/usr/lib/python3.10/site-packages/agate/utils.py", line 8, in <module>
    from collections import OrderedDict, Sequence
ImportError: cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)

======================================================================
ERROR: Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py))
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/nose/failure.py", line 39, in runTest
    raise self.exc_val.with_traceback(self.tb)
  File "/usr/lib/python3.10/site-packages/nose/loader.py", line 416, in loadTestsFromName
    module = self.importer.importFromPath(
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 47, in importFromPath
    return self.importFromDir(dir_path, fqname)
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 94, in importFromDir
    mod = load_module(part_fqname, fh, filename, desc)
  File "/usr/lib64/python3.10/imp.py", line 234, in load_module
    return load_source(name, filename, file)
  File "/usr/lib64/python3.10/imp.py", line 171, in load_source
    module = _load(spec)
  File "<frozen importlib._bootstrap>", line 729, in _load
  File "<frozen importlib._bootstrap>", line 698, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 833, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/builddir/build/BUILD/csvkit-1.0.4/tests/test_utilities/test_csvsort.py", line 13, in <module>
    from csvkit.utilities.csvsort import CSVSort, launch_new_instance
  File "/builddir/build/BUILD/csvkit-1.0.4/csvkit/__init__.py", line 14, in <module>
    import agate
  File "/usr/lib/python3.10/site-packages/agate/__init__.py", line 4, in <module>
    from agate.aggregations import *
  File "/usr/lib/python3.10/site-packages/agate/aggregations/__init__.py", line 21, in <module>
    from agate.aggregations.count import Count  # noqa
  File "/usr/lib/python3.10/site-packages/agate/aggregations/count.py", line 4, in <module>
    from agate.utils import default
  File "/usr/lib/python3.10/site-packages/agate/utils.py", line 8, in <module>
    from collections import OrderedDict, Sequence
ImportError: cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)

======================================================================
ERROR: Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py))
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/nose/failure.py", line 39, in runTest
    raise self.exc_val.with_traceback(self.tb)
  File "/usr/lib/python3.10/site-packages/nose/loader.py", line 416, in loadTestsFromName
    module = self.importer.importFromPath(
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 47, in importFromPath
    return self.importFromDir(dir_path, fqname)
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 94, in importFromDir
    mod = load_module(part_fqname, fh, filename, desc)
  File "/usr/lib64/python3.10/imp.py", line 234, in load_module
    return load_source(name, filename, file)
  File "/usr/lib64/python3.10/imp.py", line 171, in load_source
    module = _load(spec)
  File "<frozen importlib._bootstrap>", line 729, in _load
  File "<frozen importlib._bootstrap>", line 698, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 833, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/builddir/build/BUILD/csvkit-1.0.4/tests/test_utilities/test_csvsql.py", line 15, in <module>
    from csvkit.utilities.csvsql import CSVSQL, launch_new_instance
  File "/builddir/build/BUILD/csvkit-1.0.4/csvkit/__init__.py", line 14, in <module>
    import agate
  File "/usr/lib/python3.10/site-packages/agate/__init__.py", line 4, in <module>
    from agate.aggregations import *
  File "/usr/lib/python3.10/site-packages/agate/aggregations/__init__.py", line 21, in <module>
    from agate.aggregations.count import Count  # noqa
  File "/usr/lib/python3.10/site-packages/agate/aggregations/count.py", line 4, in <module>
    from agate.utils import default
  File "/usr/lib/python3.10/site-packages/agate/utils.py", line 8, in <module>
    from collections import OrderedDict, Sequence
ImportError: cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)

======================================================================
ERROR: Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py))
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/nose/failure.py", line 39, in runTest
    raise self.exc_val.with_traceback(self.tb)
  File "/usr/lib/python3.10/site-packages/nose/loader.py", line 416, in loadTestsFromName
    module = self.importer.importFromPath(
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 47, in importFromPath
    return self.importFromDir(dir_path, fqname)
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 94, in importFromDir
    mod = load_module(part_fqname, fh, filename, desc)
  File "/usr/lib64/python3.10/imp.py", line 234, in load_module
    return load_source(name, filename, file)
  File "/usr/lib64/python3.10/imp.py", line 171, in load_source
    module = _load(spec)
  File "<frozen importlib._bootstrap>", line 729, in _load
  File "<frozen importlib._bootstrap>", line 698, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 833, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/builddir/build/BUILD/csvkit-1.0.4/tests/test_utilities/test_csvstack.py", line 10, in <module>
    from csvkit.utilities.csvstack import CSVStack, launch_new_instance
  File "/builddir/build/BUILD/csvkit-1.0.4/csvkit/__init__.py", line 14, in <module>
    import agate
  File "/usr/lib/python3.10/site-packages/agate/__init__.py", line 4, in <module>
    from agate.aggregations import *
  File "/usr/lib/python3.10/site-packages/agate/aggregations/__init__.py", line 21, in <module>
    from agate.aggregations.count import Count  # noqa
  File "/usr/lib/python3.10/site-packages/agate/aggregations/count.py", line 4, in <module>
    from agate.utils import default
  File "/usr/lib/python3.10/site-packages/agate/utils.py", line 8, in <module>
    from collections import OrderedDict, Sequence
ImportError: cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)

======================================================================
ERROR: Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py))
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/nose/failure.py", line 39, in runTest
    raise self.exc_val.with_traceback(self.tb)
  File "/usr/lib/python3.10/site-packages/nose/loader.py", line 416, in loadTestsFromName
    module = self.importer.importFromPath(
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 47, in importFromPath
    return self.importFromDir(dir_path, fqname)
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 94, in importFromDir
    mod = load_module(part_fqname, fh, filename, desc)
  File "/usr/lib64/python3.10/imp.py", line 234, in load_module
    return load_source(name, filename, file)
  File "/usr/lib64/python3.10/imp.py", line 171, in load_source
    module = _load(spec)
  File "<frozen importlib._bootstrap>", line 729, in _load
  File "<frozen importlib._bootstrap>", line 698, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 833, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/builddir/build/BUILD/csvkit-1.0.4/tests/test_utilities/test_csvstat.py", line 7, in <module>
    import agate
  File "/usr/lib/python3.10/site-packages/agate/__init__.py", line 4, in <module>
    from agate.aggregations import *
  File "/usr/lib/python3.10/site-packages/agate/aggregations/__init__.py", line 21, in <module>
    from agate.aggregations.count import Count  # noqa
  File "/usr/lib/python3.10/site-packages/agate/aggregations/count.py", line 4, in <module>
    from agate.utils import default
  File "/usr/lib/python3.10/site-packages/agate/utils.py", line 8, in <module>
    from collections import OrderedDict, Sequence
ImportError: cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)

======================================================================
ERROR: Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py))
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/nose/failure.py", line 39, in runTest
    raise self.exc_val.with_traceback(self.tb)
  File "/usr/lib/python3.10/site-packages/nose/loader.py", line 416, in loadTestsFromName
    module = self.importer.importFromPath(
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 47, in importFromPath
    return self.importFromDir(dir_path, fqname)
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 94, in importFromDir
    mod = load_module(part_fqname, fh, filename, desc)
  File "/usr/lib64/python3.10/imp.py", line 234, in load_module
    return load_source(name, filename, file)
  File "/usr/lib64/python3.10/imp.py", line 171, in load_source
    module = _load(spec)
  File "<frozen importlib._bootstrap>", line 729, in _load
  File "<frozen importlib._bootstrap>", line 698, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 833, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/builddir/build/BUILD/csvkit-1.0.4/tests/test_utilities/test_in2csv.py", line 14, in <module>
    from csvkit.utilities.in2csv import In2CSV, launch_new_instance
  File "/builddir/build/BUILD/csvkit-1.0.4/csvkit/__init__.py", line 14, in <module>
    import agate
  File "/usr/lib/python3.10/site-packages/agate/__init__.py", line 4, in <module>
    from agate.aggregations import *
  File "/usr/lib/python3.10/site-packages/agate/aggregations/__init__.py", line 21, in <module>
    from agate.aggregations.count import Count  # noqa
  File "/usr/lib/python3.10/site-packages/agate/aggregations/count.py", line 4, in <module>
    from agate.utils import default
  File "/usr/lib/python3.10/site-packages/agate/utils.py", line 8, in <module>
    from collections import OrderedDict, Sequence
ImportError: cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)

======================================================================
ERROR: Failure: ImportError (cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py))
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/nose/failure.py", line 39, in runTest
    raise self.exc_val.with_traceback(self.tb)
  File "/usr/lib/python3.10/site-packages/nose/loader.py", line 416, in loadTestsFromName
    module = self.importer.importFromPath(
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 47, in importFromPath
    return self.importFromDir(dir_path, fqname)
  File "/usr/lib/python3.10/site-packages/nose/importer.py", line 94, in importFromDir
    mod = load_module(part_fqname, fh, filename, desc)
  File "/usr/lib64/python3.10/imp.py", line 234, in load_module
    return load_source(name, filename, file)
  File "/usr/lib64/python3.10/imp.py", line 171, in load_source
    module = _load(spec)
  File "<frozen importlib._bootstrap>", line 729, in _load
  File "<frozen importlib._bootstrap>", line 698, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 833, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/builddir/build/BUILD/csvkit-1.0.4/tests/test_utilities/test_sql2csv.py", line 20, in <module>
    from csvkit.utilities.csvsql import CSVSQL
  File "/builddir/build/BUILD/csvkit-1.0.4/csvkit/__init__.py", line 14, in <module>
    import agate
  File "/usr/lib/python3.10/site-packages/agate/__init__.py", line 4, in <module>
    from agate.aggregations import *
  File "/usr/lib/python3.10/site-packages/agate/aggregations/__init__.py", line 21, in <module>
    from agate.aggregations.count import Count  # noqa
  File "/usr/lib/python3.10/site-packages/agate/aggregations/count.py", line 4, in <module>
    from agate.utils import default
  File "/usr/lib/python3.10/site-packages/agate/utils.py", line 8, in <module>
    from collections import OrderedDict, Sequence
ImportError: cannot import name 'Sequence' from 'collections' (/usr/lib64/python3.10/collections/__init__.py)

----------------------------------------------------------------------
Ran 18 tests in 0.013s

FAILED (errors=18)

bpo-37324: Remove deprecated aliases to Collections Abstract Base Classes
from the collections module.

https://docs.python.org/3.10/whatsnew/changelog.html#python-3-10-0-alpha-5

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/01952164-python-csvkit/

For all our attempts to build python-csvkit with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/python-csvkit/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Miro Hrončok 2021-02-08 13:39:43 UTC
Note: /usr/lib/python3.10/site-packages/agate/utils.py is from python-agate.

Comment 2 Ben Cotton 2021-02-09 16:06:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 3 Karthikeyan Singaravelan 2021-02-17 16:01:11 UTC
This seems to be due to agate as a dependency which got fixed in https://github.com/wireservice/agate/pull/737

Comment 4 Miro Hrončok 2021-06-04 20:14:48 UTC
This is a mass-posted update. Sorry if it is not 100% accurate to this bugzilla.


The Python 3.10 rebuild is in progress in a Koji side tag. If you manage to fix the problem, please commit the fix in the rawhide branch, but don't build the package in regular rawhide.

You can either build the package in the side tag, with:

    $ fedpkg build --target=f35-python

Or you can the build and we will eventually build it for you.

Note that the rebuild is still in progress, so not all (build) dependencies of this package might be available right away.

Thanks.

See also https://fedoraproject.org/wiki/Changes/Python3.10

If you have general questions about the rebuild, please use this mailing list thread: https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/G47SGOYIQLRDTWGOSLSWERZSSHXDEDH5/

Comment 5 Miro Hrončok 2021-06-07 22:59:21 UTC
The f35-python side tag has been merged to Rawhide. From now on, build as you would normally build.

Comment 6 Miro Hrončok 2021-06-08 11:23:25 UTC
*** Bug 1968943 has been marked as a duplicate of this bug. ***

Comment 7 Miro Hrončok 2021-06-15 20:24:35 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 8 Miro Hrončok 2021-07-07 11:20:27 UTC
Hello,

This is the second reminder (step 4 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 9 Fedora Release Engineering 2021-07-11 04:22:24 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 35.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-04-05).

A week before the mass branching of Fedora 36 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 34 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-36/f-36-key-tasks.html


Note You need to log in before you can comment on or make changes to this bug.